DebugInfo (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.DebugInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2
Class DebugInfo

    java.lang.Object
      org.apache.commons.jexl2.DebugInfo

All Implemented Interfaces:
  JexlInfo

    public class DebugInfo

extends java.lang.Object
implements JexlInfo

Little class to carry in info such as a url/file name, line and column for information error reporting from the uberspector implementations.

Version:
  $Id: DebugInfo.java 885553 2009-11-30 19:28:40Z henrib $

Constructor Summary
`DebugInfo(java.lang.String tn, int l, int c)` Create info.

Method Summary
`java.lang.String` | `debugString()` Formats this information for debugging purpose.
`int` | `getColumn()` Gets the column number.
`int` | `getLine()` Gets the line number.
`java.lang.String` | `getName()` Gets the file/script/url name.
`java.lang.String` | `toString()` Formats this info in the form 'name@line:column'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DebugInfo

    public DebugInfo(java.lang.String tn,
                     int l,
                     int c)

  Create info.

  Parameters:
    `tn` - template name
    `l` - line number
    `c` - column

Method Detail

### toString

    public java.lang.String toString()

  Formats this info in the form 'name@line:column'.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the formatted info

### debugString

    public java.lang.String debugString()

  Formats this information for debugging purpose.

  Specified by:
    `debugString` in interface `JexlInfo`
  Returns:
    a human readable string.

### getName

    public java.lang.String getName()

  Gets the file/script/url name.

  Returns:
    template name

### getLine

    public int getLine()

  Gets the line number.

  Returns:
    line number.

### getColumn

    public int getColumn()

  Gets the column number.

  Returns:
    the column.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.